"use strict";

const BluebirdPromise = require("bluebird");
const { validateValue } = require("@validatem/core");
const isPromise = require("./");

console.log(validateValue(new Promise(() => {}), [ isPromise ])); // Promise { <pending> }
console.log(validateValue(new BluebirdPromise(() => {}), [ isPromise ])); // Promise [Object] { ... }

console.log(validateValue(42, [ isPromise ])); /*
	AggregrateValidationError: One or more validation errors occurred:
	- At (root): Must be a Promise (Promises/A+ compliant)
*/
