"use strict";

const ValidationError = require("@validatem/error");
const isPromise = require("is-promise");

module.exports = function (value) {
	if (!isPromise(value)) {
		throw new ValidationError("Must be a Promise (Promises/A+ compliant)");
	}
};
